---
updatedAt: 2025-02-19T22:14:45.000Z
agentTools:
  projectIndex: https://changelog-dzt-kg.readme.io/llms.txt
---

# Get all geo linking configs

Retrieves all geo linking config for the given publisher and datasource

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Things Service - KG Platform",
    "version": "1.0.0",
    "description": "# General Information\nThe KG Platform API provides a set of services for\n- knowledge management (Create, Update, Delete and Status)\n- knowledge access (Read and Query)\n- graph management (export and delete)\n\nThe Geo Enrichment and Geo Linking Service are currently available as beta status in the pre-production environment\n",
    "termsOfService": "https://onlim.com/en/terms-conditions/",
    "contact": {
      "email": "office@onlim.com",
      "url": "https://onlim.com/en/contact/"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "x-logo": {
      "url": "https://onlim.com/wp-content/uploads/2017/11/logo-header.png"
    }
  },
  "servers": [
    {
      "url": "https://proxy.opendatagermany.io/api/ts/"
    }
  ],
  "tags": [
    {
      "name": "Geo Linking Config",
      "x-displayName": "Geo Linking Config",
      "description": "Operations for the geo linking"
    }
  ],
  "paths": {
    "/v1/kg/geo/link/configs": {
      "get": {
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "tags": [
          "Geo Linking Config"
        ],
        "summary": "Get all geo linking configs\n",
        "operationId": "getGeoLinkingConfigs",
        "description": "Retrieves all geo linking config for the given publisher and datasource\n",
        "parameters": [
          {
            "$ref": "#/components/parameters/x-publisher_required"
          },
          {
            "$ref": "#/components/parameters/x-datasource_required"
          },
          {
            "$ref": "#/components/parameters/x-api-key_required"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/GeoLinkConfigWithId"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Request parameters are invalid",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "500": {
            "description": "Unexpected server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ServerError"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "x-api-key_required": {
        "in": "header",
        "name": "X-API-KEY",
        "description": "the api key for authentication and authorization",
        "schema": {
          "type": "string"
        },
        "required": true,
        "x-public": true
      },
      "x-publisher_required": {
        "in": "header",
        "name": "X-PUBLISHER",
        "description": "the publisher of the graph",
        "schema": {
          "type": "string"
        },
        "required": true
      },
      "x-datasource_required": {
        "in": "header",
        "name": "X-DATASOURCE",
        "description": "the datasource of the graph",
        "schema": {
          "type": "string"
        },
        "required": true
      }
    },
    "schemas": {
      "ClientError": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "status": {
                "type": "string"
              },
              "message": {
                "type": "string"
              },
              "id": {
                "type": "string"
              },
              "timestamp": {
                "type": "string",
                "format": "date-time"
              }
            }
          }
        ]
      },
      "ServerError": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "status": {
                "type": "string"
              },
              "message": {
                "type": "string"
              },
              "id": {
                "type": "string"
              },
              "timestamp": {
                "type": "string",
                "format": "date-time"
              }
            }
          }
        ]
      },
      "GeoLinkConfigWithId": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "example": "Some uuid"
          },
          "config": {
            "type": "object",
            "properties": {
              "from": {
                "type": "object",
                "properties": {
                  "graphs": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "publisher": {
                          "type": "string",
                          "example": "Some UUID",
                          "description": "The uuid of the publisher from which the candidate objects are taken to link from"
                        },
                        "datasource": {
                          "type": "string",
                          "example": "Some UUID",
                          "description": "The uuid of the datasource from which the candidate objects are taken to link from"
                        }
                      }
                    }
                  },
                  "sparql": {
                    "type": "string"
                  }
                }
              },
              "to": {
                "type": "object",
                "properties": {
                  "graphs": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "publisher": {
                          "type": "string",
                          "description": "The uuid of the publisher from which the candidate objects are taken to link to"
                        },
                        "datasource": {
                          "type": "string",
                          "description": "The uuid of the datasource from which the candidate objects are taken to link to"
                        }
                      }
                    }
                  },
                  "sparql": {
                    "type": "string"
                  }
                }
              },
              "linkGraph": {
                "type": "object",
                "properties": {
                  "publisher": {
                    "type": "string",
                    "description": "The uuid of the publisher in which the geo link objects are written"
                  },
                  "datasource": {
                    "type": "string",
                    "description": "The uuid of the datasource in which the geo link objects are written"
                  }
                }
              }
            }
          },
          "conditions": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "type": {
                  "type": "string",
                  "enum": [
                    "foot",
                    "bicycle",
                    "car"
                  ],
                  "example": "foot"
                },
                "value": {
                  "type": "integer",
                  "format": "int32",
                  "example": 5,
                  "description": "Reference value , if distance, then the value is in meters, if duration, then the value represents minutes"
                },
                "op": {
                  "type": "string",
                  "enum": [
                    "<",
                    ">"
                  ]
                },
                "useDuration": {
                  "type": "boolean",
                  "description": "If true, compare the duration time in minutes"
                }
              }
            }
          }
        }
      }
    }
  },
  "x-tagGroups": [
    {
      "name": "Knowledge management",
      "description": "Only data import is implemented",
      "tags": [
        "Import",
        "Import Status",
        "Update Thing",
        "Delete Things"
      ]
    },
    {
      "name": "Knowledge access",
      "description": "Read and query data",
      "tags": [
        "Get Thing",
        "Get Meta",
        "Get Ontology",
        "Get representative super type",
        "Saved Queries",
        "SPARQL",
        "Search Things",
        "Search Things V2"
      ]
    },
    {
      "name": "Named graphs",
      "description": "Managing named graphs",
      "tags": [
        "Named Graphs"
      ]
    },
    {
      "name": "Geo Enrichment Service (BETA Status)",
      "description": "(BETA Status)",
      "tags": [
        "Geo Enrichment Config",
        "Geo Enrichment Job"
      ]
    },
    {
      "name": "Geo Linking Service (BETA Status)",
      "description": "(BETA Status)",
      "tags": [
        "Geo Linking Config",
        "Geo Linking Job"
      ]
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```